{
  "pages": [ //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
    {
      // 登录
      "path": "pages/user/login",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      // 首页
      "path": "pages/home/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      // 我的
      "path": "pages/user/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      // 修改手机和密码
      "path": "pages/user/change",
      "style": {
        "navigationBarTitleText": "%user.modifyPhoneAndPassword%"
      }
    },
    {
      // 运行记录填报
      "path": "pages/recordFilling/list",
      "style": {
        "navigationBarTitleText": "%home.operationRecordFilling%"
      }
    },

    {
      // 运行记录填报详情
      "path": "pages/recordFilling/detail",
      "style": {
        "navigationBarTitleText": "%home.operationRecordFilling%"
      }
    },
    {
      // 选择设备
      "path": "pages/devide/multiple",
      "style": {
        "navigationBarTitleText": "%device.selectDevice%"
      }
    },
    {
      // 物料详情
      "path": "pages/material/view",
      "style": {
        "navigationBarTitleText": "%workOrder.materialDetails%"
      }
    },
    {
      // 物料详情 - 维修工单
      "path": "pages/material/repair-view",
      "style": {
        "navigationBarTitleText": "%workOrder.materialDetails%"
      }
    },
    {
      // 保养工单
      "path": "pages/maintenance/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      // 保养工单创建
      "path": "pages/maintenance/create",
      "style": {
        "navigationBarTitleText": "%maintenanceWorkOrder.createMaintenanceWorkOrder%"
      }
    },
    {
      // 保养工单 - 去保养
      "path": "pages/maintenance/edit",
      "style": {
        "navigationBarTitleText": "%maintenanceWorkOrder.editMaintenanceWorkOrder%"
      }
    },
    {
      // 保养工单详情
      "path": "pages/maintenance/detail",
      "style": {
        "navigationBarTitleText": "%maintenanceWorkOrder.viewMaintenanceWorkOrder%"
      }
    },
    {
      // 设备维修
      "path": "pages/repair/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      // 设备维修详情
      "path": "pages/repair/detail",
      "style": {
       "navigationBarTitleText": "%equipmentMaintenance.viewWorkOrder%"
      }
    },
    {
      // 设备维修创建
      "path": "pages/repair/create",
      "style": {
        "navigationBarTitleText": "%equipmentMaintenance.createWorkOrder%"
      }
    },
    {
      // 设备维修创建
      "path": "pages/repair/edit",
      "style": {
        "navigationBarTitleText": "%equipmentMaintenance.editWorkOrder%"
      }
    },
    {
      // 故障上报
      "path": "pages/fault/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      // 故障上报详情
      "path": "pages/fault/detail",
      "style": {
        "navigationBarTitleText": "%fault.viewWorkOrder%"
      }
    },
    {
      // 故障上报创建
      "path": "pages/fault/create",
      "style": {
        "navigationBarTitleText": "%fault.createWorkOrder%"
      }
    },
    {
      // 故障上报编辑
      "path": "pages/fault/edit",
      "style": {
        "navigationBarTitleText": "%fault.editWorkOrder%"
      }
    },
    {
      // 巡检工单
      "path": "pages/inspection/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      // 巡检工单详情
      "path": "pages/inspection/detail",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      // 巡检工单详情
      "path": "pages/inspection/edit",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      // 瑞都日报-列表
      "path": "pages/ruiDu/index",
      "style": {
        "navigationBarTitleText": "%ruiDu.indexTitle%"
      }
    },
    {
      // 瑞都日报-详情
      "path": "pages/ruiDu/detail",
      "style": {
        "navigationBarTitleText": "%ruiDu.detailTitle%"
      }
    },
    {
      // 瑞都日报-编辑
      "path": "pages/ruiDu/edit",
      "style": {
        "navigationBarTitleText": "%ruiDu.editTitle%"
      }
    },
    {
      // 库存查询
      "path": "pages/inventory/index",
      "style": {
        "navigationBarTitleText": "%inventory.title%"
      }
    },
    {
      // 库存查询-筛选
      "path": "pages/inventory/search/index",
      "style": {
        "navigationBarTitleText": "%inventory.search.title%"
      }
    },
    {
      // 消息管理
      "path": "pages/message/index",
      "style": {
        "navigationBarTitleText": "%message.title%"
      }
    },
    {
      // 消息管理详情
      "path": "pages/message/detail/index",
      "style": {
        "navigationBarTitleText": "%message.title%"
      }
    },
    {
      // 状态变更列表
      "path": "pages/statusChange/index",
      "style": {
        "navigationBarTitleText": "%statusChange.title%",
        "app-plus": {
          "titleNView": {
            "buttons": [{
              "text": "%statusChange.insert%",
              "color": "#004098",
              "fontSize": "14px",
              "width": "80px"
            }]
          }
        }
      }
    },
    {
      // 状态变更列调整记录
      "path": "pages/statusChange/history/index",
      "style": {
        "navigationBarTitleText": "%statusChange.history.title%"
      }
    },
    {
      // 状态变更新增
      "path": "pages/statusChange/form/index",
      "style": {
        "navigationBarTitleText": "%statusChange.form.title%"
      }
    },
    {
      // 设备责任人列表
      "path": "pages/deviceUser/index",
      "style": {
        "navigationBarTitleText": "%deviceUser.title%",
        "app-plus": {
          "titleNView": {
            "buttons": [{
              "text": "%statusChange.insert%",
              "color": "#004098",
              "fontSize": "14px",
              "width": "80px"
            }]
          }
        }
      }
    },
    {
      // 设备责任人调整记录
      "path": "pages/deviceUser/history/index",
      "style": {
        "navigationBarTitleText": "%deviceUser.history.title%"
      }
    },
    {
      // 设备责任人新增
      "path": "pages/deviceUser/form/index",
      "style": {
        "navigationBarTitleText": "%deviceUser.form.title%"
      }
    },
    {
      // 实时数据监控
      "path": "pages/realTimeData/index",
      "style": {
        "navigationBarTitleText": "%realTimeData.title%"
      }
    },
    {
      // 实时数据监控详情
      "path": "pages/realTimeData/detail/index",
      "style": {
        "navigationBarTitleText": "%realTimeData.detail.title%"
      }
    },
    {
      // 实时数据监控详情
      "path": "pages/realTimeData/chart/index",
      "style": {
        "navigationBarTitleText": "%realTimeData.detail.title%"
      }
    },
    {
      // 设备台账
      "path": "pages/ledger/index",
      "style": {
        "navigationBarTitleText": "%ledger.title%"
      }
    },
    {
      // 新建设备台账
      "path": "pages/ledger/form/index",
      "style": {
        "navigationBarTitleText": "%ledger.form.title%"
      }
    },
    {
      // 设备台账详情
      "path": "pages/ledger/detail/index",
      "style": {
        "navigationBarTitleText": "%ledger.detail.title%"
      }
    },
    {
      // 统计分析
      "path": "pages/statistic/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      // 超时工单列表
      "path": "pages/overtime/index",
      "style": {
        "navigationBarTitleText": "%overtime.title%"
      }
    }
  ],

  "tabBar": {
    // "height": "50px", //总高45 - 9px顶部padding
    "height": "45px",
    "iconWidth": "15px",
    "fontSize": "14px",
    "borderStyle": "white",
    "backgroundColor": "white",
    "color": "#999999",
    "selectedColor": "#004098",
    "list": [{
        "pagePath": "pages/home/index",
        "iconPath": "/static/tabbar/shouye-weixuanzhong.png",
        "selectedIconPath": "/static/tabbar/shouye-xuanzhong.png",
        "text": "%app.home%"
      },
      {
        "pagePath": "pages/user/index",
        "iconPath": "/static/tabbar/wode-weixuanzhong.png",
        "selectedIconPath": "/static/tabbar/wode-xuanzhong.png",
        "text": "%app.user%"
      }
    ]
  },
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "%app.appName%",
    "navigationBarBackgroundColor": "#F3F5F9",
    "backgroundColor": "#F3F5F9",
    "rpxCalcMaxDeviceWidth": 960,
    "rpxCalcBaseDeviceWidth": 375,
    "rpxCalcIncludeWidth": 750
  },
  "uniIdRouter": {},
  "easycom": {
    // 配置easycom组件自动引入
    "autoscan": true, // 是否开启easycom组件的自动扫描
    "custom": { // 自定义扫描规则
      // "^uni-(.*)": "uni_modules/uni-$1/uni-$1.vue"
      "^global-(.*)": "@/components/global/$1.vue"
    }
  }
}